Skip to content

Health check

GET
/api/v1/statements/health
curl --request GET \
--url https://example.com/api/v1/statements/health

Check Databricks Statement Execution API connectivity.

X-Environment-Id
Any of:
string

Successful Response

Media typeapplication/json
StatementHealthCheckResponse

Response model for statement execution health check.

object
status
required
Status

Health status (healthy, unhealthy)

string
message
required
Message

Health check message

string
statement_api_accessible
required
Statement Api Accessible

Whether statement API is accessible

boolean
databricks_connection
required
Databricks Connection

Databricks connection status

string
test_warehouse_id
Any of:
string
error
Any of:
string
Examplegenerated
{
"status": "example",
"message": "example",
"statement_api_accessible": true,
"databricks_connection": "example",
"test_warehouse_id": "example",
"error": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}